JJRobots COMMUNITY
lxml issue - Printable Version

+- JJRobots COMMUNITY (http://forums.jjrobots.com)
+-- Forum: JJrobots (/forumdisplay.php?fid=1)
+--- Forum: Sphere-O-Bot (/forumdisplay.php?fid=37)
+--- Thread: lxml issue (/showthread.php?tid=1925)



lxml issue - jfj - 03-24-2019 05:49 PM

Hi
some update

here is now the status when i use eggbot extension. seems not to find lxml or not the good one ins installed

"The fantastic lxml wrapper for libxml2 is required by inkex.py and therefore this extension. Please download and install the latest version from http://cheeseshop.python.org/pypi/lxml/, or install it through your package manager by a command like: sudo apt-get install python-lxml

Technical details:
No module named lxml
"

but lxml has been install
C:\Users\jfjam>pip install lxml
Requirement already satisfied: lxml in c:\users\jfjam\appdata\local\programs\python\python37-32\lib\site-packages (4.3.2)

C:\Users\jfjam>

when i check inkex.py I see that but don't understand


# third party library
try:
from lxml import etree
except Exception, e:
localize()
errormsg(_("The fantastic lxml wrapper for libxml2 is required by inkex.py and therefore this extension. Please download and install the latest version from http://cheeseshop.python.org/pypi/lxml/, or install it through your package manager by a command like: sudo apt-get install python-lxml\n\nTechnical details:\n%s" % (e,)))
sys.exit()


i don't know if it is only a file lcoation issue or lxml release not appropriated?


thanks for your help